

!!! Listing 1  

def fak_rek(n): 
	if n <= 1: 
		return n 
	else: 
		return n*fak_rek(n-1) 


def fak_iter(n): 
	result = 1 
	while n>1: 
		result = result*n 
		n = n-1 
	return result 

!!! Ende Listing 1   

!!! Listing 2  

#!/usr/local/bin/python 
class Container: 
	# Konstruktor 
	def __init__(self, other=None): 
		# Ist other ein Container? 
		if hasattr(other, 'rep'): 
			self.rep = other.rep[:] 
		else: 
			self.rep = [] 
  	# Element hinzufuegen 
   	def Add(self, x): 
		self.rep.append(x) 
   	# Element loeschen 
   	def Del(self, x): 
		self.rep.remove(x) 
   	# Konvertierung nach String fuer print Statement 
	def __str__(self): 
		sep, r = '', '{' 
		for x in self.rep: 
	    		r, sep = r + sep + `x`, ', ' 
		return r + '}' 
 
class Set(Container): 
	# Konstruktor 
   	def __init__(self, other=None): 
		Container.__init__(self, other) 
		self.SetType = 1 
  	# Element hinzufuegen 
   	def Add(self, x): 
		if x not in self.rep: 
			self.rep.append(x) 
 
  	# +-Operator ueberladen 
	def __add__(self, a): 
		# Ist a auch wirklich ein Set? 
		if not hasattr(a,'SetType'): 
	    		return self 
		r = Set() 
		r.rep = self.rep[:] 
		for x in a.rep: 
	    		r.Add(x) 
		return r 
a = Set() 
b = Set() 
a.Add(4) 
a.Add(5) 
b.Add(5) 
b.Add(6) 
b.Add(7) 
c = Set(a+b) 
print c   # liefert {4, 5, 6, 7} als Ausgabe

!!! Ende Listing 2


!!! Listing 3

#!/usr/local/bin/python 
import cgi 
print 'Content-Type: text/html' 
print  
print '<html> <head> <title>Beispiel-Ausgabe</title></head><body>' 
form = cgi.SvFormContentDict() 
for field in form.keys(): 
	print '<p>Feld', field, ' = ', 
	print cgi.escape(form[field]) 
	# escape wandelt & nach &amp usw. 
print '</body></html>' 

!!! Ende Listing 3

!!! Listing 4

#!/usr/local/bin/python 
import httplib 
c = httplib.HTTP('www.ix.de')         
c.putrequest('GET', '/default.html')  
c.putheader('text/html')		
c.endheaders()     
mesg = c.getreply()
file = c.getfile() 
print file.read()  
file.close()       


!!! Ende Listing 4

!!! Listing 5

#!/usr/local/bin/python 
import urllib 
args = [ 
    '/etc/passwd', 
    'ftp://ftp.th-darmstadt.de/READ.ME', 
    'http://www.darmstadt.gmd.de/~himstedt/index.html', 
    ] 
for url in args: 
	print '-'*10, url, '-'*10 
	fn, h = urllib.urlretrieve(url) 
	if h: 
		print '===== Header ======' 
	  	for k in h.keys(): print k + ':', h[k] 
	print '===== Daten =======' 
	fp = open(fn, 'r') 
	data = fp.read() 
	del fp 
	print data 
    	fn, h = None, None 
urllib.urlcleanup() 
 

!!! Ende Listing 5

!!! Listing 6

#!/usr/local/bin/python 
from SocketServer import * 
from SimpleHTTPServer import * 
port = 8001 
server = ('', port)  
http_server = TCPServer(server, SimpleHTTPRequestHandler) 
print 'Server laeuft auf Port ', port 
http_server.serve_forever() 
 
!!! Ende Listing 6

!!! Listing 7

#!/usr/local/bin/python
from Tkinter import *
from sys     import exit
def Callback():
	exit(0)
root = Tk()
b = Button(root, command = Callback, text = 'Ende im Gelaende')
b.pack()
root.mainloop()

!!! Ende Listing 7

!!! Listing 8

def main():
    root = Tk()
    fp = Bouncer(root)
    root.mainloop()

if __name__ == '__main__':
    main()

!!!Ende Listing 8